export default SourceMaps;
/**
 * @fileoverview Gets JavaScript source maps.
 */
declare class SourceMaps extends BaseGatherer {
    /** @type {LH.Crdp.Debugger.ScriptParsedEvent[]} */
    _scriptParsedEvents: LH.Crdp.Debugger.ScriptParsedEvent[];
    /**
     * @param {LH.Crdp.Debugger.ScriptParsedEvent} event
     */
    onScriptParsed(event: LH.Crdp.Debugger.ScriptParsedEvent): void;
    /**
     * @param {LH.Gatherer.Driver} driver
     * @param {string} sourceMapUrl
     * @return {Promise<LH.Artifacts.RawSourceMap>}
     */
    fetchSourceMap(driver: LH.Gatherer.Driver, sourceMapUrl: string): Promise<LH.Artifacts.RawSourceMap>;
    /**
     * @param {string} sourceMapURL
     * @return {LH.Artifacts.RawSourceMap}
     */
    parseSourceMapFromDataUrl(sourceMapURL: string): LH.Artifacts.RawSourceMap;
    /**
     * @param {string} url
     * @param {string} base
     * @return {string|undefined}
     */
    _resolveUrl(url: string, base: string): string | undefined;
    /**
     * @param {LH.Gatherer.Driver} driver
     * @param {LH.Crdp.Debugger.ScriptParsedEvent} event
     * @return {Promise<LH.Artifacts.SourceMap>}
     */
    _retrieveMapFromScriptParsedEvent(driver: LH.Gatherer.Driver, event: LH.Crdp.Debugger.ScriptParsedEvent): Promise<LH.Artifacts.SourceMap>;
    /**
     * @param {LH.Gatherer.Context} context
     */
    startSensitiveInstrumentation(context: LH.Gatherer.Context): Promise<void>;
    /**
     * @param {LH.Gatherer.Context} context
     */
    stopSensitiveInstrumentation(context: LH.Gatherer.Context): Promise<void>;
    /**
     * @param {LH.Gatherer.Context} context
     * @return {Promise<LH.Artifacts['SourceMaps']>}
     */
    getArtifact(context: LH.Gatherer.Context): Promise<LH.Artifacts['SourceMaps']>;
}
import BaseGatherer from '../base-gatherer.js';
//# sourceMappingURL=source-maps.d.ts.map